Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Descarga Disponible OpenCpn 5.0 beta y novedades
#16
(10-02-2019, 10:23 AM)Hippie escribió: como haces esto????
poder ver la imagen misma de google eart
obtenida a través de la herramienta SASPlanet y convertida a formato MBTiles -otra novedad de esta versión-. Y a su derecha la misma zona a una escala diferente en formato de carta vectorial.

Primero hay que descargar las imágenes de satélite con SASPlanet y crear un archivo con formato MBTile. Despues Opencpn 5 los puede leer como un mapa cualquiera mas.

Podeis ver la explicacion del proceso en este otro hilo:

https://foronavegantes.net/thread-856.html
No es que el mar tenga tan mal carácter.
El verdadero canalla es el viento.
El mar... sencillamente se deja llevar.
Responder
Ha recibido el agradecimiento de: Dunic , Hippie , Velero Simbad
#17
(10-02-2019, 02:56 PM)juliusse escribió: Gracias pingüino.
Entonces, es lo que pienso, se necesita una versión anterior de opencpn instalada.
Voy a probar.
No tengo problema con la compilación desde las fuentes, he probado con Slackware y Arch y funciona perfectamente.
Lo que pienso es que con Ubuntu, es una lastima de compilar, porque "normalmente" apt es aquí para resolver dependencias...
Además, si alguien quiere probar con Slackware, tengo un slackbuild para instalar mas rápidamente.

También es posible que se necesite tener los dos repositorios activos, el de la beta y el de la versión estable ya que los paquetes que no se encuentren en un sitio se hallaran en el otro... o al menos eso supongo.

Il est aussi possible que vous ayez besoin d'avoir les deux dépôts actifs, la version bêta et la version stable parce que les paquets qui ne sont pas dans un endroit sont dans l'autre... ou du moins ça je suppose.
No es que el mar tenga tan mal carácter.
El verdadero canalla es el viento.
El mar... sencillamente se deja llevar.
Responder
Ha recibido el agradecimiento de:
#18
Si, es eso. Una vez la versión estable instalada, y después de la activación del repositorio de la beta, la versión se actualiza automáticamente.
Otra cosa, se parece que las cartas mbtiles necesitan la activación de OpenGL para funcionar. Se va a estar un problema por antiguos ordenadores.
Responder
Ha recibido el agradecimiento de:
#19
(11-02-2019, 11:50 AM)juliusse escribió: Otra cosa, se parece que las cartas mbtiles necesitan la activación de OpenGL para funcionar. Se va a estar un problema por antiguos ordenadores.

Cierto, he leído sobre ello en cruisersforum. Pero no estoy de acuerdo en absoluto. Si un ordenador no es capaz de usar openGL para visualizar los MBTiles no es por falta de potencia ya que una Raspberry pi lo puede hacer perfectamente. De hecho la Rpi lo puede hacer ta bien precisamente por que recurre a openGL. So otros ordenadores poco potentes no lo pueden hacer es as bien es por que su sistema operativo estará obsoleto.

Cambiar a un sistema mas adecuado como un Ubuntu ligero puede resolver las cosas. Si esperamos que windows xp se comporte dignamente a estas alturas nos estamos equivocando desde mi punto de vista.


C'est vrai, j'ai lu ça dans Cruisersforum. Mais je ne suis pas du tout d'accord. Si un ordinateur n'est pas capable d'utiliser openGL pour visualiser les MBTiles, ce n'est pas par manque de puissance car une Raspberry pi peut le faire parfaitement. En fait, le Rpi peut si bien le faire précisément parce qu'il utilise openGL. Si d'autres ordinateurs moins puissants ne peuvent pas le faire, c'est parce que leur système d'exploitation sera obsolète.

Passer à un système plus approprié tel qu'un Ubuntu léger peut résoudre certains problèmes. Si nous nous attendons à ce que Windows xp se comporte avec dignité à ce stade, nous nous trompons de moin point de vue.
No es que el mar tenga tan mal carácter.
El verdadero canalla es el viento.
El mar... sencillamente se deja llevar.
Responder
Ha recibido el agradecimiento de:
#20
No es un problema de sistema operativo, pero un problema de hardware, antiguas cartas gráficas no pueden utilizar OpenGL. También con Ubuntu, la utilización de OpenGL depende de la calidad de la carta gráfica.
Responder
Ha recibido el agradecimiento de:
#21
Buenos días, 
desde la misma rasperry, en el menu actualizar, se puede o es necesario hacer una imagen nueva? creo que así perderíamos los mapas, no?
Muchas gracias.
Responder
Ha recibido el agradecimiento de:
#22
(11-02-2019, 01:34 PM)paulino escribió: Buenos días, 
desde la misma rasperry, en el menu actualizar, se puede o es necesario hacer una imagen nueva? creo que así perderíamos los mapas, no?
Muchas gracias.

Por ahora no se actualizaría así. Opencpn  esta  en la fase de ultimas pruebas -beta- antes del lanzamiento final. Cuando se lance finalmente como estable si entrará sin mas.

Pero... no es necesario hacer una imagen nueva. De hecho una nueva imagen haría que tu licencia de cartas oesENC se perdiera. Pero no es necesario.

Puedes instalar el repositorio de la rama beta junto con el de la estable y así si que se te actualizaría. ¿Perderias tu licencia de cartas? Casi seguro que no, pero no te lo puedo confirmar fehacientemente por que la Rpi donde tenia mis cartas con licencia dejo de funcionar y al mismo tiempo que perdí mi Rpi perdí también mis cartas. Pero en otro ordenador donde esta la otra licencia he actualizado a la 5 y mis cartas funcionan perfectamente. Así que supongo que te funcionaran a ti.

¿Como instalar la rama beta?

Primero edita el archivo correspondiente:

sudo nano /etc/apt/sources.list

...después baja el cursor a la linea final y añade:

Código:
deb http://ppa.launchpad.net/bdbcat/opencpn/ubuntu xenial main  
Debe quedar justo por debajo de una muy parecida pero no exactamente igual. La de arriba es la estable, la de abajo la beta.
Tal que asi:
[Imagen: Fd09N3U.png]

Ahora guarda los cambios con CTRL+o y sal con CTRL+x.
Ahora hay que firmar el repositorio con este comando:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 284976FD7425C74D

Una vez firmado ya puedes hacer:
sudo apt update

sudo apt dist-upgrade

Y ya debes tener instalada la ultima versión de opencpn y esta se podrá ir actualizando conforme las betas vayan rotando en rc y estable.
Solo un apunte mas. Debes desinstalar el plugin viejo de cartas oesENC:
sudo apt remove oesenc-pi

e instalar el nuevo cuyo nombre ha cambiado:
sudo apt install opencpn-plugin-oesenc-pi

Ahora inicia opencpn 5 y cuéntanos si tus cartas compradas funcionan. Si no es así te diré los pasos para volver a la versión anterior.
No es que el mar tenga tan mal carácter.
El verdadero canalla es el viento.
El mar... sencillamente se deja llevar.
Responder
Ha recibido el agradecimiento de:
#23
En la web de OpenCpn ya han colgado un manual mas detallado con las novedades de OpenCpn 5 explicadas con todo detalle.
https://opencpn.org/OpenCPN/info/beta.html

Como allí están en inglés me he permitido el lujo de traducirlas y convertirlas en un Pdf en castellano por si alguno desea conocerlas.


Archivos adjuntos
.pdf   opencpn5.pdf (Tamaño: 623,63 KB / Descargas: 22)
No es que el mar tenga tan mal carácter.
El verdadero canalla es el viento.
El mar... sencillamente se deja llevar.
Responder
Ha recibido el agradecimiento de: juliusse , dione , Javi-Miss Regina , Dunic , Velero Simbad , Hippie , ZEPELIN
#24
(11-02-2019, 01:34 PM)paulino escribió: Buenos días, 
desde la misma rasperry, en el menu actualizar, se puede o es necesario hacer una imagen nueva? creo que así perderíamos los mapas, no?
Muchas gracias.

Paralelamente a opencpn 5 estamos trabajando en openplotter v2.x.x que deberia estar listo cuando opencpn 5 sea estable. Efectivamente habrá que volver a grabar una SD ya que es una actualización mayor y se perderán las licencias de cartas oeSENC o S-63.

La buena noticia es que también trabajamos en el desarrollo de unos dongles USB para poder usar las cartas en cualquier sistema windows, mac o linux (no android) donde el dongle esté conectado. Usando este dispositivo USB ya podremos torturar a openplotter sin miedo a perder las licencias. No es una memoria USB donde guardar las cartas, es un dispositivo USB que funciona como llave para desencriptar las cartas. Si todo va bien en unas semanas podria estar disponible. Si os queda alguno de los 2 slots disponibles de vuestras cartas oeSENC reservadlo para el dongle o habrá que comprar las cartas de nuevo.

Tambien hay novedades en relación a cartas vectoriales de nuevos paises y a la posibilidad de un nuevo formato oeRNC para cartas raster de paises que no disponen de cartografia vectorial.

2019 calentito...
[Imagen: llibertat.png]
Responder
Ha recibido el agradecimiento de: Drac , pinguino , magallanesxix , Velero Simbad , Parazoa , ZEPELIN
#25
(15-02-2019, 02:11 PM)Sailoog escribió: Paralelamente a opencpn 5 estamos trabajando en openplotter v2.x.x que deberia estar listo cuando opencpn 5 sea estable. Efectivamente habrá que volver a grabar una SD ya que es una actualización mayor y se perderán las licencias de cartas oeSENC o S-63.

La buena noticia es que también trabajamos en el desarrollo de unos dongles USB para poder usar las cartas en cualquier sistema windows, mac o linux (no android) donde el dongle esté conectado. Usando este dispositivo USB ya podremos torturar a openplotter sin miedo a perder las licencias. No es una memoria USB donde guardar las cartas, es un dispositivo USB que funciona como llave para desencriptar las cartas. Si todo va bien en unas semanas podria estar disponible. Si os queda alguno de los 2 slots disponibles de vuestras cartas oeSENC reservadlo para el dongle o habrá que comprar las cartas de nuevo.

Tambien hay novedades en relación a cartas vectoriales de nuevos paises y a la posibilidad de un nuevo formato oeRNC para cartas raster de paises que no disponen de cartografia vectorial.

2019 calentito...
Hola Sailoog
La versión 2 de OP va permitir instalar plugins?

Lo comento porque ya tengo rutinas para leer los pulsos de la corredera, para leer el sensor de viento, ambos de Raymarine (en realidad son sensores Airmar) y para los que quieran seguir usando los display St50 o ST60 cuando el sensor de viento se haya estropeado, simular la salida del sensor de viento a partir de los datos Nmea183 de otro sensor de viento.
También escribí una rutina para generar pulsos de corredera a partir de los datos GPS.
Tengo otra para medir la cadena de fondeo.

Estas rutinas podrían ir como plugins.

Ya me contarás

Gesendet von meinem CLT-L29 mit Tapatalk
Responder
Ha recibido el agradecimiento de: Hippie
#26
(17-02-2019, 03:14 PM)gypsylyon escribió: Hola Sailoog
La versión 2 de OP va  permitir instalar plugins?

Lo comento porque ya tengo rutinas para leer los pulsos de la corredera, para leer el sensor de viento, ambos de Raymarine (en realidad son sensores Airmar) y para los que quieran seguir usando los display St50 o ST60 cuando el sensor de viento se haya estropeado, simular la salida del sensor de viento a partir de los datos Nmea183 de otro sensor de viento.
También escribí una rutina para generar pulsos de corredera  a partir de los datos GPS.
Tengo otra para medir la cadena de fondeo.

Estas rutinas podrían ir como plugins.

Ya me contarás

Gesendet von meinem CLT-L29 mit Tapatalk

Hace ya tiempo que openplotter permite instalar plugins. Los llamamos "tools" y aqui encontrarás las instrucciones de como crear tus tools: https://github.com/sailoog/openplotter/tree/beta/tools
[Imagen: llibertat.png]
Responder
Ha recibido el agradecimiento de:


Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)